aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/release-jjb-koi-snapshot
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2020-12-19 00:10:18 +0100
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2020-12-19 00:11:53 +0100
commit503579a0e8c0b9cc13355ba73e2a3580ce48f1fc (patch)
tree695bf16f6c7fb546de23d17e0125ab34c43f65d8 /jjb/release-jjb-koi-snapshot
parent2b26c465e81886f6dad1546538143ed976969367 (diff)
Add release jobs for koi
Change-Id: I3b99282f42268ad9ea206a491ecf79a5e05af8d2 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/release-jjb-koi-snapshot')
-rw-r--r--jjb/release-jjb-koi-snapshot/include-release-jjb-koi-snapshot-rsync.sh57
-rw-r--r--jjb/release-jjb-koi-snapshot/release-jjb-koi-snapshot.yaml130
2 files changed, 187 insertions, 0 deletions
diff --git a/jjb/release-jjb-koi-snapshot/include-release-jjb-koi-snapshot-rsync.sh b/jjb/release-jjb-koi-snapshot/include-release-jjb-koi-snapshot-rsync.sh
new file mode 100644
index 00000000..9be7c6f8
--- /dev/null
+++ b/jjb/release-jjb-koi-snapshot/include-release-jjb-koi-snapshot-rsync.sh
@@ -0,0 +1,57 @@
+#!/bin/bash
+
+#set -x
+set -e
+echo "#######################################"
+echo "#######################################"
+ls -alh
+echo "#######################################"
+echo "#######################################"
+tree -L 2
+echo "#######################################"
+echo "#######################################"
+set | grep MACHINE
+echo "#######################################"
+echo "#######################################"
+set
+echo "#######################################"
+echo "#######################################"
+
+cd repoclone/output
+
+export REMOTEDST="/srv/download/AGL/upload/ci/${RELEASE_BRANCH}/${RELEASE_VERSION}/${MACHINE}/"
+export RSYNCDST="jenkins-slave@10.30.72.8:${REMOTEDST}"
+export RSYNCSRC=$(pwd)/UPLOAD/${MACHINE}
+
+# construct upload folder
+mv UPLOAD UPLOAD2 || true
+rm -rf UPLOAD2 || true
+mkdir -p UPLOAD/${MACHINE}
+export DEST=$(pwd)/UPLOAD/${MACHINE}
+
+# save space ... remove the rpms
+rm -rf tmp/deploy/rpm || true
+
+rsync -avr --progress --delete tmp/deploy $DEST/
+rsync -avr --progress --delete tmp/log $DEST/
+
+cp ../../current_default.xml $DEST/${MACHINE}_repo_default.xml
+cp conf/local.conf $DEST/local.conf
+cp conf/auto.conf $DEST/auto.conf
+echo "$BUILD_URL" > $DEST/jenkins.build.url
+
+tree $DEST
+
+ls -alhR $DEST
+
+
+
+echo "would do rsync -avr -e \"ssh -o StrictHostKeyChecking=no\" $RSYNCSRC $RSYNCDST "
+
+if test x"yes" = x"$UPLOAD" ; then
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 rm -rf ${REMOTEDST}
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mkdir -p ${REMOTEDST}
+ rsync --delete -avr -e "ssh -o StrictHostKeyChecking=no" $RSYNCSRC/* $RSYNCDST
+fi
+
+exit 0 \ No newline at end of file
diff --git a/jjb/release-jjb-koi-snapshot/release-jjb-koi-snapshot.yaml b/jjb/release-jjb-koi-snapshot/release-jjb-koi-snapshot.yaml
new file mode 100644
index 00000000..1f77a6f2
--- /dev/null
+++ b/jjb/release-jjb-koi-snapshot/release-jjb-koi-snapshot.yaml
@@ -0,0 +1,130 @@
+---
+- project:
+ name: release-jjb-koi-snapshot
+ jobs:
+ - release-jjb-koi-snapshot
+
+- job-template:
+ name: 'release-jjb-koi-snapshot'
+ project-type: matrix
+ concurrent: false
+ node: control-slave
+
+ parameters:
+ - string:
+ name: GERRIT_PROJECT
+ default: AGL/AGL-repo
+ description: "Project to build"
+ - string:
+ name: GERRIT_BRANCH
+ default: master
+ description: "branch to build"
+ - string:
+ name: GERRIT_REFSPEC
+ default: refs/tags/koi_10.91.0
+ description: "refspec to build"
+ - string:
+ name: RELEASE_VERSION
+ default: 10.91.0
+ description: "release version number for build"
+ - string:
+ name: RELEASE_BRANCH
+ default: koi
+ description: "release branch to build"
+ - string:
+ name: UPLOAD
+ default: yes_or_no
+ description: "Upload?"
+ - string:
+ name: BUILDONLY
+ default: ignore
+ description: "build only specified machine"
+ - string:
+ name: DISABLE_SSTATE_MIRROR
+ default: ignore
+ description: "Set to YES to disable sstate-mirror"
+ axes:
+ - axis:
+ type: user-defined
+ name: MACHINE
+ values:
+ - qemux86-64
+ - qemuarm
+ - qemuarm64
+ - raspberrypi4
+ - m3ulcb-nogfx
+ - h3ulcb-nogfx
+ # for aarch64
+ - axis:
+ type: slave
+ name: label
+ values:
+ - agl-test-slave
+
+ build-discarder:
+ days-to-keep: 30
+ num-to-keep: 40
+ artifact-days-to-keep: -1
+ artifact-num-to-keep: 5
+
+ triggers:
+ - gerrit-trigger-patch-submitted-silent:
+ name: 'AGL/AGL-repo'
+ branch: 'regs/tags/koi/**'
+
+ wrappers:
+ - agl-infra-wrappers:
+ build-timeout: '{build-timeout}'
+ - credentials-binding:
+ - username-password-separated:
+ credential-id: agl_main_lava_instance
+ username: AGLLAVAUSER
+ password: AGLLAVATOKEN
+ - username-password-separated:
+ credential-id: agl_main_lava_instance
+ username: LAB_AGL_USER
+ password: LAB_AGL_TOKEN
+ - username-password-separated:
+ credential-id: lab_baylibre_lava_instance
+ username: LAB_BAYLIBRE_USER
+ password: LAB_BAYLIBRE_TOKEN
+ - username-password-separated:
+ credential-id: lab_baylibre_seattle_lava_instance
+ username: LAB_BAYLIBRE_SEATTLE_USER
+ password: LAB_BAYLIBRE_SEATTLE_TOKEN
+
+ builders:
+ - shell:
+ !include-raw-escape:
+ - ../common/include-agl-header.sh
+ - ../common/include-agl-repo.sh
+ - ../common/include-agl-select.sh
+ - ../common/include-agl-export-eula.sh
+ - ../common/include-agl-source-aglsetup.sh
+ - ../common/include-agl-auto-conf.sh
+ - ../common/include-agl-limit-parallelism.sh
+ - ../common/include-agl-cat-auto-conf.sh
+ - ../common/include-agl-local-conf-archiver.sh
+ #- ../common/include-agl-local-conf-isafw.sh
+ - ../common/include-agl-local-conf-include-ptest.sh
+ - ../common/include-agl-local-conf-DISTROFEATURES-AGLCI.sh
+ - ../common/include-agl-local-conf-vmdk.sh
+ - ../common/include-agl-local-conf-rpi3-imagetype.sh
+ #- ../common/include-agl-bitbake-image.sh
+ - ../common/include-agl-bitbake-sdk.sh
+ - shell:
+ !include-raw-escape: include-release-jjb-koi-snapshot-rsync.sh
+ - shell:
+ !include-raw-escape:
+ - ../common/include-agl-header.sh
+ - ../common/include-agl-run-test-prepare.sh
+ #- ../common/include-agl-run-test-rsync-release.sh
+ - ../common/include-agl-lava-labs-prepare.sh
+ - ../common/include-agl-run-test-short-koi.sh
+ - ../common/include-agl-lava-jobs-submit-only.sh
+ - conditional-step:
+ condition-kind: always
+ steps:
+ - shell:
+ !include-raw-escape:
+ - ../common/include-agl-get-cost.sh